zenilib: TIntermTyped Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
TIntermTyped Class Reference

`#include <intermediate.h>`

Inherits TIntermNode.

Inherited by TIntermConstantUnion, TIntermOperator, TIntermSelection, and TIntermSymbol.

## Public Member Functions

| TIntermTyped (const TType &t)
int | elementRegisterCount () const
int | getArraySize () const
virtual TIntermTyped * | getAsTyped ()
const char * | getBasicString () const
TBasicType | getBasicType () const
TString | getCompleteString () const
int | getNominalSize () const
TPrecision | getPrecision () const
TQualifier | getQualifier () const
const char * | getQualifierString () const
const TType & | getType () const
TType * | getTypePointer ()
bool | isArray () const
bool | isMatrix () const
bool | isScalar () const
bool | isVector () const
void | setType (const TType &t)
int | totalRegisterCount () const
Public Member Functions inherited from TIntermNode
| TIntermNode ()
virtual | ~TIntermNode ()
virtual TIntermAggregate * | getAsAggregate ()
virtual TIntermBinary * | getAsBinaryNode ()
virtual TIntermConstantUnion * | getAsConstantUnion ()
virtual TIntermLoop * | getAsLoopNode ()
virtual TIntermSelection * | getAsSelectionNode ()
virtual TIntermSymbol * | getAsSymbolNode ()
virtual TIntermUnary * | getAsUnaryNode ()
const TSourceLoc & | getLine () const
| POOL_ALLOCATOR_NEW_DELETE ()
void | setLine (const TSourceLoc &l)
virtual void | traverse (TIntermTraverser *)=0

## Protected Attributes

TType | type
Protected Attributes inherited from TIntermNode
TSourceLoc | line

## Detailed Description

Definition at line 245 of file intermediate.h.

## Constructor & Destructor Documentation

TIntermTyped::TIntermTyped | ( | const TType & | t | ) |

inline

Definition at line 247 of file intermediate.h.

## Member Function Documentation

int TIntermTyped::elementRegisterCount | ( |  | ) | const

inline

Definition at line 268 of file intermediate.h.

int TIntermTyped::getArraySize | ( |  | ) | const

inline

Definition at line 269 of file intermediate.h.

virtual TIntermTyped* TIntermTyped::getAsTyped | ( |  | ) |

inlinevirtual

Reimplemented from TIntermNode.

Definition at line 248 of file intermediate.h.

Referenced by TIntermediate::addSelection(), TParseContext::lValueErrorCheck(), and TVersionGLSL::visitAggregate().

const char* TIntermTyped::getBasicString | ( |  | ) | const

inline

Definition at line 263 of file intermediate.h.

TBasicType TIntermTyped::getBasicType | ( |  | ) | const

inline

Definition at line 254 of file intermediate.h.

Referenced by TIntermediate::addBinaryMath(), TIntermediate::addConversion(), TParseContext::addIndexExpression(), TParseContext::arraySizeErrorCheck(), TParseContext::boolErrorCheck(), TParseContext::constructorErrorCheck(), ForLoopUnroll::FillLoopIndexInfo(), TIntermConstantUnion::fold(), TDependencyGraph::getOrCreateSymbol(), sh::OutputHLSL::handleExcessiveLoop(), TParseContext::integerErrorCheck(), TParseContext::lValueErrorCheck(), TIntermUnary::promote(), sh::OutputHLSL::registerString(), TIntermSelection::usesTernaryOperator(), ValidateLimitations::visitBinary(), TOutputGLSLBase::visitBinary(), sh::OutputHLSL::visitBinary(), and RestrictVertexShaderTiming::visitSymbol().

TString TIntermTyped::getCompleteString | ( |  | ) | const

inline

Definition at line 265 of file intermediate.h.

Referenced by TParseContext::executeInitializer(), and switch().

int TIntermTyped::getNominalSize | ( |  | ) | const

inline

Definition at line 257 of file intermediate.h.

Referenced by TIntermediate::addConversion(), TParseContext::addIndexExpression(), TIntermediate::addUnaryMath(), TIntermConstantUnion::fold(), sh::OutputHLSL::handleExcessiveLoop(), TParseContext::integerErrorCheck(), and TOutputGLSLBase::visitBinary().

TPrecision TIntermTyped::getPrecision | ( |  | ) | const

inline

Definition at line 256 of file intermediate.h.

Referenced by TIntermediate::addConversion(), TParseContext::addIndexExpression(), and TIntermediate::addUnaryMath().

TQualifier TIntermTyped::getQualifier | ( |  | ) | const

inline

Definition at line 255 of file intermediate.h.

Referenced by TParseContext::addIndexExpression(), sh::OutputHLSL::argumentString(), TParseContext::constErrorCheck(), sh::OutputHLSL::handleExcessiveLoop(), TParseContext::lValueErrorCheck(), sh::OutputHLSL::registerString(), TVersionGLSL::visitAggregate(), sh::OutputHLSL::visitAggregate(), sh::OutputHLSL::visitSymbol(), and MapLongVariableNames::visitSymbol().

const char* TIntermTyped::getQualifierString | ( |  | ) | const

inline

Definition at line 264 of file intermediate.h.

const TType& TIntermTyped::getType | ( |  | ) | const

inline

Definition at line 251 of file intermediate.h.

References type.

Referenced by TIntermediate::addAssign(), TIntermediate::addBinaryMath(), TIntermediate::addComma(), TParseContext::addConstArrayNode(), TParseContext::addConstMatrixNode(), TParseContext::addConstStruct(), TParseContext::addConstVectorNode(), TIntermediate::addConversion(), TParseContext::addIndexExpression(), TIntermediate::addSelection(), TIntermediate::addUnaryMath(), sh::OutputHLSL::argumentString(), TParseContext::constructBuiltIn(), TParseContext::constructStruct(), TParseContext::executeInitializer(), TIntermConstantUnion::fold(), TIntermUnary::promote(), TIntermediate::promoteConstantUnion(), sh::OutputHLSL::samplerRegister(), sh::OutputHLSL::uniformRegister(), CollectAttribsUniforms::visitAggregate(), TOutputGLSLBase::visitAggregate(), sh::OutputHLSL::visitAggregate(), TOutputGLSLBase::visitBinary(), sh::OutputHLSL::visitBinary(), TOutputGLSLBase::visitConstantUnion(), sh::OutputHLSL::visitConstantUnion(), sh::UnfoldShortCircuit::visitSelection(), TOutputGLSLBase::visitSymbol(), sh::OutputHLSL::visitSymbol(), TOutputGLSLBase::visitUnary(), sh::OutputHLSL::visitUnary(), and TOutputGLSLBase::writeFunctionParameters().

TType* TIntermTyped::getTypePointer | ( |  | ) |

inline

Definition at line 252 of file intermediate.h.

References type.

Referenced by TIntermediate::addComma(), TParseContext::addIndexExpression(), TIntermediate::addSelection(), and TIntermBinary::promote().

bool TIntermTyped::isArray | ( |  | ) | const

inline

Definition at line 260 of file intermediate.h.

Referenced by TIntermediate::addBinaryMath(), TIntermediate::addConversion(), TParseContext::addIndexExpression(), TIntermediate::addUnaryMath(), TParseContext::boolErrorCheck(), TVersionGLSL::visitAggregate(), ValidateLimitations::visitBinary(), and TOutputGLSLBase::visitBinary().

bool TIntermTyped::isMatrix | ( |  | ) | const

inline

Definition at line 259 of file intermediate.h.

Referenced by TIntermediate::addBinaryMath(), TIntermediate::addConversion(), TParseContext::addIndexExpression(), TIntermediate::addUnaryMath(), TParseContext::boolErrorCheck(), TVersionGLSL::visitAggregate(), and sh::OutputHLSL::visitBinary().

bool TIntermTyped::isScalar | ( |  | ) | const

inline

Definition at line 262 of file intermediate.h.

Referenced by sh::OutputHLSL::visitBinary().

bool TIntermTyped::isVector | ( |  | ) | const

inline

Definition at line 261 of file intermediate.h.

Referenced by TIntermediate::addBinaryMath(), TParseContext::addIndexExpression(), TParseContext::boolErrorCheck(), and sh::OutputHLSL::visitBinary().

void TIntermTyped::setType | ( | const TType & | t | ) |

inline

Definition at line 250 of file intermediate.h.

Referenced by TIntermediate::addComma(), TParseContext::addIndexExpression(), TParseContext::foldConstConstructor(), TIntermBinary::promote(), TIntermUnary::promote(), and switch().

int TIntermTyped::totalRegisterCount | ( |  | ) | const

inline

Definition at line 267 of file intermediate.h.

Referenced by sh::OutputHLSL::samplerRegister(), and sh::OutputHLSL::uniformRegister().

## Member Data Documentation

TType TIntermTyped::type

protected

Definition at line 272 of file intermediate.h.

Referenced by getType(), and getTypePointer().

The documentation for this class was generated from the following file:

- zenilib/jni/external/angle/src/compiler/intermediate.h